You can inject properties in a shadergraph that you can control in realtime. For example you can make materials react on the position of the player, or the position of other objects, or basically anything. For this you just need to add a property-node to the shader. This has to be a single number (Float). If you need a multidimensional variable (e.g. a position) you need to use multiple floats. Just to see if this really works I made a simple example (this one) of pushing a cube around. The position of the player sets the random seed of a pattern (kind of a root number from which to derive a random number, this is a single number and determined by the distance to the cube) and the position of the cube itself defines how often the pattern repeats within the cube (tiling, this is multidimensional for x and y)

# Preview:
![Sample Video](preview.mp4)
